> ## Documentation Index
> Fetch the complete documentation index at: https://documentation.kotanipay.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Onramp Status

> This endpoint will be used to get the status of the transaction

This endpoint will be used to get the status of the onramp transaction.


## OpenAPI

````yaml GET /api/v3/onramp/{referenceId}
openapi: 3.0.0
info:
  title: KOTANI PAY API PLATFORM
  description: ''
  version: '3.0'
  contact: {}
servers:
  - url: https://sandbox-api.kotanipay.io
    description: Sandbox
security: []
tags: []
paths:
  /api/v3/onramp/{referenceId}:
    get:
      tags:
        - ONRAMP
      summary: Get Status Response
      description: This endpoint will be used to get the status of the transaction
      operationId: OnrampController_getOnramp_api/v3
      parameters:
        - name: referenceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: true
                  message:
                    type: string
                    example: Onramp status successfully retrieved.
                  data:
                    $ref: fcc13797-a816-4e3f-b649-36c9e1b7a576
                    type: object
        '400':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Bad Request
                  data:
                    type: object
                    example: {}
        '401':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Unauthorized
                  data:
                    type: object
                    example: {}
        '404':
          description: ''
          content:
            application/json:
              schema:
                properties:
                  success:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Not Found
                  data:
                    type: object
                    example: {}
      security:
        - JWT: []
components:
  securitySchemes:
    JWT:
      scheme: bearer
      bearerFormat: JWT
      type: http

````